* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    --light-blue: rgb(10, 10, 216); 
    --blue: rgb(9, 9, 187);
    --dark-gray: rgb(59, 59, 59);
}

button {
    border:none;
    cursor: pointer;
}

body {
    background-color: gainsboro;
}

#generatedPasswordBox {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

#generateIcon {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 6px;
    padding: 6px;
    border-radius: 50%;
    cursor: pointer;
}

.generateIcon-active {
    animation: generateIconBackgroundAnimation ease-in-out 0.3s,
    generateIconSpin ease-in-out 0.3s;
}

.generateIcon-activeSpin {
    animation: generateIconSpin ease-in-out 0.3s;
}

@keyframes generateIconSpin {
    50% {
        transform: rotate(180deg);
    } 100% {
        transform: rotate(180deg);
    }
}

@keyframes generateIconBackgroundAnimation {
    0% {
        background-color: transparent;
    }50% {
        background-color: rgb(197, 197, 197);
    }
    100% {
        background-color: transparent;
    }
}

img {
    height: 15px;
}

#wrapper {
    display: flex;
    flex-direction: column;
    max-width: 600px;
    min-width: 350px;
    margin-left: auto;
    margin-right: auto;
}

p, h1 {
    font-family: 'Roboto', "sans-serif";
    font-style: normal;
    font-optical-sizing: auto;
    font-weight: 400;
  font-variation-settings:
    "wdth" 100;
}

h1 {
    text-align: center;
    font-weight: 500;
    font-size: 24px;
}

@media (min-width: 500px) {
    h1 {
        font-size: 32px;
    }
}

#titleBox {
    background-color: var(--blue);
    color:white;
    padding: 16px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#seperator {
    /* outline: none; */
    border: none;
    padding: 4px 0 4px 0;
}

#seperator:focus {
    padding:4px;
}

.copy-active {
    background-color: var(--light-blue);
}

.copy-active {
    animation: 
        makeLightBlue 0.2s ease-in-out,
        scaleUp 0.2s ease-in-out;
}

@keyframes makeLightBlue {
    50% {
        background-color: rgb(12, 12, 223);
    }
}

@keyframes scaleUp {
    50% {
        scale: 1.02;
    }
}

.box {
    background-color: white;
    padding: 12px 8px 12px 8px;
    border-radius: 5px;
    font-size: 14px;
    margin: 8px;
}

#generatedPassword {
    font-family: 'Roboto Mono', monospace, 'Courier New', Courier;
      font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
    font-size: 16px;
    overflow-wrap: anywhere;
}

#generatedPasswordBox {
    /* min-width: 300px; */
    margin-top: 16px;
    margin-left: 8px;
    margin-right: 8px;
    padding: 16px 8px 16px 8px;
    /* max-width: 600px; */
}


#copyButton {
    background-color: var(--blue);
    color:white;
    border-radius: 25px;
    margin: 16px 8px 0px 8px;
    padding: 12px;
    font-weight: 500;
    font-size: 16px;
}

#numberOfWordsBox {
    margin-top: 24px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
}

#numberOfWordsBox > div:first-child {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

#numberOfWordsBox > div:first-child > p:first-child {
    font-size: 14px;
    color: var(--dark-gray);
}

#decreaseNumberOfWordsButton {
    background-color: var(--blue);
    width: 30px;
    height: 30px;
    border-radius: 50%;
    color: white;
    font-size: 28px;
        display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Roboto Mono', monospace, 'Courier New', Courier;
    font-weight: 300;
}

#decreaseNumberOfWordsButton span {
    transform: translate(0.5px, -2px);
}

#increaseNumberOfWordsButton {
    background-color: var(--blue);
    width:30px;
    height: 30px;
    border-radius: 50%;
    color: white;
    font-size: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Roboto Mono', monospace, 'Courier New', Courier;
    font-weight: 300;
}

#increaseNumberOfWordsButton span {
    transform: translate(0.2px, -1.5px);
}

.decreaseNumberOfWords-active {
    animation: makeLightBlue 0.2s ease-in-out;
}

.increaseNumberOfWords-active {
    animation: makeLightBlue 0.2s ease-in-out;
}

#editNumberOfWordsBox {
    display: flex;
    gap: 4px;
    margin-right: 8px;
}

#seperatorBox {
    display: flex;
    flex-direction: column;
    gap: 6px;
}

#seperatorBox > p:first-child {
    font-size: 14px;
    color: var(--dark-gray);
}

#firstLetterCapitalBox {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.toggleButton {
    height: 30px;
    width: 50px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    background-color: rgb(158, 158, 158);   
    border-radius: 35px;
    cursor: pointer;
    transition: background-color ease-in-out 0.3s;    
}

.toggle-button-active {
    background-color: var(--blue);
}

.dot {
    width: 17px;
    height: 17px;
    border-radius: 50%;
    background-color: white;
    margin-left: 6px;

    transition: 
        width ease-in-out 0.2s,
        height ease-in-out 0.2s,
        margin-left ease-in-out 0.2s,
        margin-right ease-in-out 0.2s,
        transform ease-in-out 0.2s;
}

.dot-active {
    width: 22px;
    height: 22px;
    margin-left: 0;
    margin-right: 6px;
    transform: translateX(100%);
}

#includeNumberBox {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}